Package weka.core.pmml.jaxbbindings

# Class Target

java.lang.Object
weka.core.pmml.jaxbbindings.Target

public class Target extends Object

Java class for Target element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="Target">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}TargetValue" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="castInteger">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="round"/>
                   <enumeration value="ceiling"/>
                   <enumeration value="floor"/>
                 </restriction>
               </simpleType>
             </attribute>
             <attribute name="field" use="required" type="{http://www.dmg.org/PMML-4_1}FIELD-NAME" />
             <attribute name="max" type="{http://www.w3.org/2001/XMLSchema}double" />
             <attribute name="min" type="{http://www.w3.org/2001/XMLSchema}double" />
             <attribute name="optype" type="{http://www.dmg.org/PMML-4_1}OPTYPE" />
             <attribute name="rescaleConstant" type="{http://www.w3.org/2001/XMLSchema}double" default="0" />
             <attribute name="rescaleFactor" type="{http://www.w3.org/2001/XMLSchema}double" default="1" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Target()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCastInteger()`
  Gets the value of the castInteger property.
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `String`
  `getField()`
  Gets the value of the field property.
  `Double`
  `getMax()`
  Gets the value of the max property.
  `Double`
  `getMin()`
  Gets the value of the min property.
  `OPTYPE`
  `getOptype()`
  Gets the value of the optype property.
  `double`
  `getRescaleConstant()`
  Gets the value of the rescaleConstant property.
  `double`
  `getRescaleFactor()`
  Gets the value of the rescaleFactor property.
  `List<TargetValue>`
  `getTargetValue()`
  Gets the value of the targetValue property.
  `void`
  `setCastInteger(String value)`
  Sets the value of the castInteger property.
  `void`
  `setField(String value)`
  Sets the value of the field property.
  `void`
  `setMax(Double value)`
  Sets the value of the max property.
  `void`
  `setMin(Double value)`
  Sets the value of the min property.
  `void`
  `setOptype(OPTYPE value)`
  Sets the value of the optype property.
  `void`
  `setRescaleConstant(Double value)`
  Sets the value of the rescaleConstant property.
  `void`
  `setRescaleFactor(Double value)`
  Sets the value of the rescaleFactor property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Target

    public Target()

- ## Method Details

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getTargetValue

    public List<TargetValue> getTargetValue()
    Gets the value of the targetValue property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the targetValue property.

    For example, to add a new item, do as follows:

            getTargetValue().add(newItem);

    Objects of the following type(s) are allowed in the list `TargetValue`

  - ### getCastInteger

    public String getCastInteger()
    Gets the value of the castInteger property.
    Returns:
      possible object is `String`

  - ### setCastInteger

    public void setCastInteger(String value)
    Sets the value of the castInteger property.
    Parameters:
      `value` - allowed object is `String`

  - ### getField

    public String getField()
    Gets the value of the field property.
    Returns:
      possible object is `String`

  - ### setField

    public void setField(String value)
    Sets the value of the field property.
    Parameters:
      `value` - allowed object is `String`

  - ### getMax

    public Double getMax()
    Gets the value of the max property.
    Returns:
      possible object is `Double`

  - ### setMax

    public void setMax(Double value)
    Sets the value of the max property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getMin

    public Double getMin()
    Gets the value of the min property.
    Returns:
      possible object is `Double`

  - ### setMin

    public void setMin(Double value)
    Sets the value of the min property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getOptype

    public OPTYPE getOptype()
    Gets the value of the optype property.
    Returns:
      possible object is `OPTYPE`

  - ### setOptype

    public void setOptype(OPTYPE value)
    Sets the value of the optype property.
    Parameters:
      `value` - allowed object is `OPTYPE`

  - ### getRescaleConstant

    public double getRescaleConstant()
    Gets the value of the rescaleConstant property.
    Returns:
      possible object is `Double`

  - ### setRescaleConstant

    public void setRescaleConstant(Double value)
    Sets the value of the rescaleConstant property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getRescaleFactor

    public double getRescaleFactor()
    Gets the value of the rescaleFactor property.
    Returns:
      possible object is `Double`

  - ### setRescaleFactor

    public void setRescaleFactor(Double value)
    Sets the value of the rescaleFactor property.
    Parameters:
      `value` - allowed object is `Double`